Web API Reference | MapGuide Open Source

- Overview
- Modules
- Classes

# MgSelectionBase Class Reference
[MgSelectionBase]

Inherits MgResource.

Inherited by MgSelection.

List of all members.

## Public Member Functions
void | Add (CREFSTRING layer, CREFSTRING className, CREFSTRING id)
| Adds the given feature (represented by its base64 encoded id) to the selection set.
void | AddFeatureIdDouble (MgLayerBase *layer, CREFSTRING className, double identifier)
| Add a single selection to the set where the identity property is a double.
void | AddFeatureIdInt16 (MgLayerBase *layer, CREFSTRING className, INT16 identifier)
| Add a single selection to the set where the identity property is a 16-bit integer.
void | AddFeatureIdInt32 (MgLayerBase *layer, CREFSTRING className, INT32 identifier)
| Add a single selection to the set where the identity property is a 32-bit integer.
void | AddFeatureIdInt64 (MgLayerBase *layer, CREFSTRING className, INT64 identifier)
| Add a single selection to the set where the identity property is a 64-bit integer.
void | AddFeatureIds (MgLayerBase *layer, CREFSTRING className, MgPropertyCollection *identityProperties)
| Add a single selection to the set based on a collection of identity properties.
void | AddFeatureIdString (MgLayerBase *layer, CREFSTRING className, CREFSTRING identifier)
| Add a single selection to the set where the identity property is a string.
void | AddFeatures (MgLayerBase *layer, MgFeatureReader *features, INT32 nFeatures)
| Add nFeatures to selection set from the FeatureReader. Specify nFeatures = 0 for all features in reader. Internal identity mapping for layer dictates the properties used.
bool | Contains (MgLayerBase *layer, CREFSTRING className)
| Does a particular layer and class have selections.
void | FromXml (CREFSTRING xmlSelectionString)
| Read selection from XML document. Previous selection is cleared.
STRING | GenerateFilter (MgLayerBase *layer, CREFSTRING className)
| Generates an Fdo filter text for the selections of the specified layer and class.
STRING | GetClass (CREFSTRING layer)
| Returns the class name for the layer.
MgStringCollection * | GetClasses (CREFSTRING layer)
| Returns list of selected classes for a layer.
MgEnvelope * | GetExtents (MgFeatureService *featureService)
| Gets the extents of the selection set.
MgReadOnlyLayerCollection * | GetLayers ()
| Returns list of selected layers.
STRING | GetResourceName (CREFSTRING sessionId, CREFSTRING mapName)
| Builds a resource name based on the map name amd the session id.
virtual MgFeatureReader * | GetSelectedFeatures (MgLayerBase *layer, CREFSTRING className, MgStringCollection *propertyNames)
virtual MgFeatureReader * | GetSelectedFeatures (MgLayerBase *layer, CREFSTRING className, bool mappedOnly)
| Returns the selected feature data for the specified feature class.
INT32 | GetSelectedFeaturesCount (MgLayerBase *layer, CREFSTRING className)
| Returns the number of selected features.
| MgSelectionBase (MgMapBase *map, CREFSTRING xmlSelectionString)
| Initialize selection from a map and xml selection.
| MgSelectionBase (MgMapBase *map)
| Initialize selection generation from a map.
virtual void | Open (MgResourceService *resourceService, CREFSTRING mapName)
| Loads the map object from a session repository.
virtual void | Save (MgResourceService *resourceService, CREFSTRING mapName)
| Save the map object to a session repository.
STRING | ToXml ()
| Write selection as XML document. This document will typically be passed back to a viewer to select the desired features.

## Detailed Description

Exposed API class for handling selection Represents a set of selections for multiple layers and classes

Comments or suggestions? Send us feedback.